Bug 1310651 - overcloud deployment fails with Error: Invalid resource type kmod
overcloud deployment fails with Error: Invalid resource type kmod
Status: CLOSED EOL
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer (Show other bugs)
7.0 (Kilo)
x86_64 Linux
unspecified Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Mike Burns
Omri Hochman
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 07:35 EST by Anil Dhingra
Modified: 2016-09-29 09:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 09:37:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anil Dhingra 2016-02-22 07:35:23 EST
Description of problem:
overcloud compute/controller Post deployment fails with below error

Error: Invalid resource type kmod::load

Version-Release number of selected component (if applicable):

Rhel 7.2 / osp director 7.2

How reproducible:
repeatable
Steps to Reproduce:
1. using image rhel-guest-image-7.2-20151102.0.x86_64.qcow2
2. general installation no extra config
3.

Actual results:
overcloud  cloud node/stack successful

Expected results:
overcloud stack fails

Additional info:
[stack@instack ~]$ heat resource-list overcloud -n5 | grep -v COMPLETE
+----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+----------------------------------------------+
| resource_name                                | physical_resource_id                          | resource_type                                     | resource_status | updated_time         | parent_resource                              |
+----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+----------------------------------------------+
| ComputeNodesPostDeployment                   | e97b10b3-21a0-4f40-85e8-bae7e810efd9          | OS::TripleO::ComputePostDeployment                | CREATE_FAILED   | 2016-02-22T09:59:41Z |                                              |
| ControllerNodesPostDeployment                | 362f96aa-a1fb-4635-978d-1d54d6154245          | OS::TripleO::ControllerPostDeployment             | CREATE_FAILED   | 2016-02-22T09:59:41Z |                                              |
| ControllerLoadBalancerDeployment_Step1       | 8136201c-1574-43c0-95b9-2ae1ae5e2581          | OS::Heat::StructuredDeployments                   | CREATE_FAILED   | 2016-02-22T10:06:56Z | ControllerNodesPostDeployment                |
| ComputePuppetDeployment                      | 21c8e981-4754-4a4c-b016-8ed632aafdfb          | OS::Heat::StructuredDeployments                   | CREATE_FAILED   | 2016-02-22T10:07:02Z | ComputeNodesPostDeployment                   |
| 0                                            | 996189f4-4e7a-4940-9ba5-692ac48c1fa5          | OS::Heat::StructuredDeployment                    | CREATE_FAILED   | 2016-02-22T10:07:05Z | ComputePuppetDeployment                      |
| 0                                            | 56d75099-f373-4cdd-8512-45994782b1ad          | OS::Heat::StructuredDeployment                    | CREATE_FAILED   | 2016-02-22T10:07:57Z | ControllerLoadBalancerDeployment_Step1       |
+----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+----------------------------------------------+
[stack@instack ~]$ heat deployment-show 56d75099-f373-4cdd-8512-45994782b1ad
{
  "status": "FAILED", 
  "server_id": "a90793b2-b407-4dcc-8566-ba414269eb67", 
  "config_id": "858c93a7-dd23-42d4-a23e-7bd68cf47cc9", 
  "output_values": {
    "deploy_stdout": "", 
    "deploy_stderr": "\u001b[1;31mError: Invalid resource type kmod::load at /var/lib/heat-config/heat-config-puppet/858c93a7-dd23-42d4-a23e-7bd68cf47cc9.pp:40 on node overcloud-controller-0.localdomain\nWrapped exception:\nInvalid resource type kmod::load\u001b[0m\n\u001b[1;31mError: Invalid resource type kmod::load at /var/lib/heat-config/heat-config-puppet/858c93a7-dd23-42d4-a23e-7bd68cf47cc9.pp:40 on node overcloud-controller-0.localdomain\u001b[0m\n", 
    "deploy_status_code": 1
  }, 
  "creation_time": "2016-02-22T10:07:58Z", 
  "updated_time": "2016-02-22T10:08:26Z", 
  "input_values": {}, 
  "action": "CREATE", 
  "status_reason": "deploy_status_code : Deployment exited with non-zero status code: 1", 
  "id": "56d75099-f373-4cdd-8512-45994782b1ad"
}
Comment 2 Andreas Karis 2016-02-23 01:35:45 EST
Hello,

I just ran into this same issue in a lab environment after upgrading to the most recent openstack-tripleo-heat-templates-0.8.6-121

https://ask.openstack.org/en/question/88671/heat-stack-failed-with-invalid-resource-type-kmodload/
reports the same issue

Built on February 16th:

[stack@poc-undercloud ~]$ rpm -qi openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch
Name        : openstack-tripleo-heat-templates
Version     : 0.8.6
Release     : 121.el7ost
Architecture: noarch
Install Date: Mon 22 Feb 2016 10:40:40 PM EST
Group       : System Environment/Base
Size        : 933462
License     : ASL 2.0
Signature   : RSA/SHA256, Tue 16 Feb 2016 03:27:26 PM EST, Key ID 199e2f91fd431d51
Source RPM  : openstack-tripleo-heat-templates-0.8.6-121.el7ost.src.rpm
Build Date  : Tue 16 Feb 2016 02:28:10 PM EST
Build Host  : x86-020.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://wiki.openstack.org/wiki/TripleO
Summary     : Heat templates for TripleO
Description :
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.


kmod::load is new in these templates


[stack@poc-undercloud ~]$ diff <(cd /usr/share/openstack-tripleo-heat-templates-0.8.6-94/ && find . -type f) <(cd /usr/share/openstack-tripleo-heat-templates-0.8.6-121/ && find . -type f)
32a33,42
> ./environments/updates/update-from-publicvip-on-ctlplane.yaml
> ./environments/enable-tls.yaml
> ./environments/external-loadbalancer-vip-v6.yaml
> ./environments/inject-trust-anchor.yaml
> ./environments/net-bond-with-vlans-v6.yaml
> ./environments/net-multiple-nics-v6.yaml
> ./environments/net-single-nic-with-vlans-v6.yaml
> ./environments/network-isolation-v6.yaml
> ./environments/neutron-nuage-config.yaml
> ./environments/nova-nuage-config.yaml
68a79
> ./network/config/bond-with-vlans/controller-v6.yaml
74a86,87
> ./network/config/single-nic-vlans/controller-v6.yaml
> ./network/config/multiple-nics/controller-v6.yaml
96a110,122
> ./network/ports/external_from_pool_v6.yaml
> ./network/ports/external_v6.yaml
> ./network/ports/from_service_v6.yaml
> ./network/ports/internal_api_from_pool_v6.yaml
> ./network/ports/internal_api_v6.yaml
> ./network/ports/net_vip_map_external_v6.yaml
> ./network/ports/storage_from_pool_v6.yaml
> ./network/ports/storage_mgmt_from_pool_v6.yaml
> ./network/ports/storage_mgmt_v6.yaml
> ./network/ports/storage_v6.yaml
> ./network/ports/tenant_from_pool_v6.yaml
> ./network/ports/tenant_v6.yaml
> ./network/ports/vip_v6.yaml
99a126,135
> ./network/endpoints/build_endpoint_map.py
> ./network/endpoints/build_endpoint_map.pyc
> ./network/endpoints/build_endpoint_map.pyo
> ./network/endpoints/endpoint_data.yaml
> ./network/endpoints/endpoint_map.yaml
> ./network/external_v6.yaml
> ./network/internal_api_v6.yaml
> ./network/storage_mgmt_v6.yaml
> ./network/storage_v6.yaml
> ./network/tenant_v6.yaml
122a159
> ./puppet/extraconfig/pre_deploy/controller/neutron-nuage.yaml
124a162,166
> ./puppet/extraconfig/pre_deploy/compute/nova-nuage.yaml
> ./puppet/extraconfig/tls/ca-inject.yaml
> ./puppet/extraconfig/tls/no-ca.yaml
> ./puppet/extraconfig/tls/no-tls.yaml
> ./puppet/extraconfig/tls/tls-cert-inject.yaml
131a174
> ./puppet/hieradata/database.yaml
142a186
> ./puppet/swift-devices-and-proxy-config-v6.yaml



[stack@poc-undercloud ~]$ (cd /usr/share/openstack-tripleo-heat-templates-0.8.6-94/ && grep kmod::load * -R)
[stack@poc-undercloud ~]$ (cd /usr/share/openstack-tripleo-heat-templates-0.8.6-121/ && grep kmod::load * -R)
puppet/manifests/overcloud_cephstorage.pp:create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_cephstorage.pp:Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
puppet/manifests/overcloud_compute.pp:create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_compute.pp:Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
puppet/manifests/overcloud_controller.pp:  create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_controller.pp:  Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
puppet/manifests/overcloud_controller_pacemaker.pp:  create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_controller_pacemaker.pp:  Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
puppet/manifests/overcloud_object.pp:create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_object.pp:Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
puppet/manifests/overcloud_volume.pp:create_resources(kmod::load, hiera('kernel_modules'), {})
puppet/manifests/overcloud_volume.pp:Exec <| tag == 'kmod::load' |>  -> Sysctl <| |>
Comment 3 Andreas Karis 2016-02-23 01:53:30 EST
============

lrwxrwxrwx. 1 root root   42 Dec 16 15:08 apache -> /usr/share/openstack-puppet/modules/apache
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 aviator -> /usr/share/openstack-puppet/modules/aviator
lrwxrwxrwx. 1 root root   45 Dec 16 15:08 cassandra -> /usr/share/openstack-puppet/modules/cassandra
lrwxrwxrwx. 1 root root   46 Dec 16 15:08 ceilometer -> /usr/share/openstack-puppet/modules/ceilometer
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 ceph -> /usr/share/openstack-puppet/modules/ceph
lrwxrwxrwx. 1 root root   46 Dec 16 15:08 certmonger -> /usr/share/openstack-puppet/modules/certmonger
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 cinder -> /usr/share/openstack-puppet/modules/cinder
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 common -> /usr/share/openstack-puppet/modules/common
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 concat -> /usr/share/openstack-puppet/modules/concat
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 contrail -> /usr/share/openstack-puppet/modules/contrail
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 corosync -> /usr/share/openstack-puppet/modules/corosync
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 firewall -> /usr/share/openstack-puppet/modules/firewall
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 galera -> /usr/share/openstack-puppet/modules/galera
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 glance -> /usr/share/openstack-puppet/modules/glance
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 gluster -> /usr/share/openstack-puppet/modules/gluster
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 gnocchi -> /usr/share/openstack-puppet/modules/gnocchi
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 haproxy -> /usr/share/openstack-puppet/modules/haproxy
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 heat -> /usr/share/openstack-puppet/modules/heat
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 horizon -> /usr/share/openstack-puppet/modules/horizon
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 inifile -> /usr/share/openstack-puppet/modules/inifile
lrwxrwxrwx. 1 root root   39 Dec 16 15:08 ipa -> /usr/share/openstack-puppet/modules/ipa
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 ironic -> /usr/share/openstack-puppet/modules/ironic
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 kafka -> /usr/share/openstack-puppet/modules/kafka
lrwxrwxrwx. 1 root root   46 Dec 16 15:08 keepalived -> /usr/share/openstack-puppet/modules/keepalived
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 keystone -> /usr/share/openstack-puppet/modules/keystone
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 manila -> /usr/share/openstack-puppet/modules/manila
lrwxrwxrwx. 1 root root   45 Dec 16 15:08 memcached -> /usr/share/openstack-puppet/modules/memcached
lrwxrwxrwx. 1 root root   51 Dec 16 15:08 module-collectd -> /usr/share/openstack-puppet/modules/module-collectd
lrwxrwxrwx. 1 root root   47 Dec 16 15:08 module-data -> /usr/share/openstack-puppet/modules/module-data
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 mongodb -> /usr/share/openstack-puppet/modules/mongodb
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 mysql -> /usr/share/openstack-puppet/modules/mysql
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 n1k_vsm -> /usr/share/openstack-puppet/modules/n1k_vsm
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 nagios -> /usr/share/openstack-puppet/modules/nagios
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 neutron -> /usr/share/openstack-puppet/modules/neutron
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 nova -> /usr/share/openstack-puppet/modules/nova
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 nssdb -> /usr/share/openstack-puppet/modules/nssdb
lrwxrwxrwx. 1 root root   39 Dec 16 15:08 ntp -> /usr/share/openstack-puppet/modules/ntp
lrwxrwxrwx. 1 root root   52 Dec 16 15:08 openstack_extras -> /usr/share/openstack-puppet/modules/openstack_extras
lrwxrwxrwx. 1 root root   48 Dec 16 15:08 openstacklib -> /usr/share/openstack-puppet/modules/openstacklib
lrwxrwxrwx. 1 root root   45 Dec 16 15:08 pacemaker -> /usr/share/openstack-puppet/modules/pacemaker
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 puppet -> /usr/share/openstack-puppet/modules/puppet
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 qpid -> /usr/share/openstack-puppet/modules/qpid
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 rabbitmq -> /usr/share/openstack-puppet/modules/rabbitmq
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 redis -> /usr/share/openstack-puppet/modules/redis
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 remote -> /usr/share/openstack-puppet/modules/remote
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 rsync -> /usr/share/openstack-puppet/modules/rsync
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 sahara -> /usr/share/openstack-puppet/modules/sahara
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 snmp -> /usr/share/openstack-puppet/modules/snmp
lrwxrwxrwx. 1 root root   39 Dec 16 15:08 ssh -> /usr/share/openstack-puppet/modules/ssh
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 staging -> /usr/share/openstack-puppet/modules/staging
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 stdlib -> /usr/share/openstack-puppet/modules/stdlib
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 swift -> /usr/share/openstack-puppet/modules/swift
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 sysctl -> /usr/share/openstack-puppet/modules/sysctl
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 tempest -> /usr/share/openstack-puppet/modules/tempest
lrwxrwxrwx. 1 root root   44 Dec 16 15:08 timezone -> /usr/share/openstack-puppet/modules/timezone
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 tripleo -> /usr/share/openstack-puppet/modules/tripleo
lrwxrwxrwx. 1 root root   41 Dec 16 15:08 trove -> /usr/share/openstack-puppet/modules/trove
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 tuskar -> /usr/share/openstack-puppet/modules/tuskar
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 vcsrepo -> /usr/share/openstack-puppet/modules/vcsrepo
lrwxrwxrwx. 1 root root   40 Dec 16 15:08 vlan -> /usr/share/openstack-puppet/modules/vlan
lrwxrwxrwx. 1 root root   43 Dec 16 15:08 vswitch -> /usr/share/openstack-puppet/modules/vswitch
lrwxrwxrwx. 1 root root   42 Dec 16 15:08 xinetd -> /usr/share/openstack-puppet/modules/xinetd
lrwxrwxrwx. 1 root root   45 Dec 16 15:08 zookeeper -> /usr/share/openstack-puppet/modules/zookeeper

=================

ls -al /usr/share/openstack-puppet/modules/ | grep kmod

=================

[root@overcloud-compute-0 heat-config]# rpm -qf /usr/share/openstack-puppet/modules/sysctl
openstack-puppet-modules-2015.1.8-32.el7ost.noarch

=================

[root@overcloud-compute-0 heat-config]# yum update openstack-puppet-modules
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
There are no enabled repos.
 Run "yum repolist all" to see the repos you have.
 You can enable repos with yum-config-manager --enable <repo>

=================

[stack@poc-undercloud ~]$ rpm -qi openstack-puppet-modules
Name        : openstack-puppet-modules
Version     : 2015.1.8
Release     : 51.el7ost
Architecture: noarch
Install Date: Mon 22 Feb 2016 10:43:00 PM EST
Group       : Unspecified
Size        : 6589717
License     : ASL 2.0 and GPLv2 and GPLv3
Signature   : RSA/SHA256, Tue 16 Feb 2016 03:21:43 PM EST, Key ID 199e2f91fd431d51
Source RPM  : openstack-puppet-modules-2015.1.8-51.el7ost.src.rpm
Build Date  : Fri 12 Feb 2016 11:43:11 AM EST
Build Host  : x86-034.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/redhat-openstack
Summary     : Collection of Puppet modules for OpenStack deployment
Description :
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.
[stack@poc-undercloud ~]$ rpm -ql openstack-puppet-modules | grep kmod
/usr/share/openstack-puppet/modules/kmod
/usr/share/openstack-puppet/modules/kmod/CHANGELOG.md
/usr/share/openstack-puppet/modules/kmod/Gemfile
/usr/share/openstack-puppet/modules/kmod/LICENSE
/usr/share/openstack-puppet/modules/kmod/README.md
/usr/share/openstack-puppet/modules/kmod/Rakefile
/usr/share/openstack-puppet/modules/kmod/manifests
/usr/share/openstack-puppet/modules/kmod/manifests/alias.pp
/usr/share/openstack-puppet/modules/kmod/manifests/blacklist.pp
/usr/share/openstack-puppet/modules/kmod/manifests/init.pp
/usr/share/openstack-puppet/modules/kmod/manifests/install.pp
/usr/share/openstack-puppet/modules/kmod/manifests/load.pp
/usr/share/openstack-puppet/modules/kmod/manifests/option.pp
/usr/share/openstack-puppet/modules/kmod/manifests/setting.pp
/usr/share/openstack-puppet/modules/kmod/metadata.json
/usr/share/openstack-puppet/modules/kmod/templates
/usr/share/openstack-puppet/modules/kmod/templates/redhat.modprobe.erb
Comment 4 Andreas Karis 2016-02-23 02:03:59 EST
Turns out that this is cause by an incompatibility between Director 7.3 and the 7.2 overcloud image / any image with an older version of openstack-puppet-modules which does not contain puppet kmod.

===========================

tar -xf overcloud-full-7.2.0-46.tar
[akaris@wks-akaris isos]$ guestfish -a overcloud-full.qcow2

Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> run
 100% ⟦▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒▒⟧ 00:00
><fs> list-filesystems 
/dev/sda: xfs
><fs> mount /dev/sda /
><fs> ls /usr/share/openstack-puppet/modules/
apache
aviator
cassandra
ceilometer
ceph
certmonger
cinder
common
concat
contrail
corosync
firewall
galera
glance
gluster
gnocchi
haproxy
heat
horizon
inifile
ipa
ironic
kafka
keepalived
keystone
manila
memcached
module-collectd
module-data
mongodb
mysql
n1k_vsm
nagios
neutron
nova
nssdb
ntp
openstack_extras
openstacklib
pacemaker
puppet
qpid
rabbitmq
redis
remote
rsync
sahara
snmp
ssh
staging
stdlib
swift
sysctl
tempest
timezone
tripleo
trove
tuskar
vcsrepo
vlan
vswitch
xinetd
zookeeper

===================
Comment 5 Andreas Karis 2016-02-23 02:14:02 EST
Explicitly: kmod is in 7.3 overcloud-full image --> using the newest Director image will fix this issue

[akaris@wks-akaris isos]$ tar -xf overcloud-full-7.3.0-56.tar
[akaris@wks-akaris isos]$ guestfish -a  overcloud-full.qcow2 

Welcome to guestfish, the guest filesystem shell for
editing virtual machine filesystems and disk images.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> run
><fs> mount /dev/sda /
><fs> ls /usr/share/openstack-puppet/modules/
apache
aviator
cassandra
ceilometer
ceph
certmonger
cinder
common
concat
contrail
corosync
firewall
galera
glance
gluster
gnocchi
haproxy
heat
horizon
inifile
ipa
ironic
kafka
keepalived
keystone
kmod
manila
memcached
module-collectd
module-data
mongodb
mysql
n1k_vsm
nagios
neutron
nova
nssdb
ntp
openstack_extras
openstacklib
pacemaker
puppet
qpid
rabbitmq
redis
remote
rsync
sahara
snmp
ssh
staging
stdlib
swift
sysctl
tempest
timezone
tripleo
trove
tuskar
vcsrepo
vlan
vswitch
xinetd
zookeeper
Comment 6 Anil Dhingra 2016-02-23 09:57:24 EST
Tried with 7.3 image  kmod::load error is gone but failed again with engine went down error may be something else , investigating

Stack failed with status: Resource CREATE failed: resources.ControllerNodesPostDeployment: Resource CREATE failed: resources.ControllerPostPuppet: Engine went down during stack CREATE

[stack@instack ~]$  heat resource-list overcloud -n5 | grep -v COMPLETE
+-----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+-----------------------------------------------+
| resource_name                                 | physical_resource_id                          | resource_type                                     | resource_status | updated_time         | parent_resource                               |
+-----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+-----------------------------------------------+
| ControllerNodesPostDeployment                 | 1ba9cd97-5065-443f-b50a-0c0398e50485          | OS::TripleO::ControllerPostDeployment             | CREATE_FAILED   | 2016-02-23T14:24:37Z |                                               |
| ControllerPostPuppet                          | 23d11d89-4717-4329-8ede-ea881826ff21          | OS::TripleO::Tasks::ControllerPostPuppet          | CREATE_FAILED   | 2016-02-23T14:31:57Z | ControllerNodesPostDeployment                 |
| ControllerPostPuppetRestartDeployment         | 57468576-91a6-4266-9302-301504d6ed44          | OS::Heat::SoftwareDeployments                     | CREATE_FAILED   | 2016-02-23T14:45:39Z | ControllerPostPuppet                          |
+-----------------------------------------------+-----------------------------------------------+---------------------------------------------------+-----------------+----------------------+-----------------------------------------------+
 resource_status_reason | resources.ControllerNodesPostDeployment: Resource CREATE failed: resources.ControllerPostPuppet: Engine went down during stack CREATE
Comment 8 Sachin 2016-03-04 08:41:39 EST
(In reply to Andreas Karis from comment #5)
> Explicitly: kmod is in 7.3 overcloud-full image --> using the newest
> Director image will fix this issue
> 
> [akaris@wks-akaris isos]$ tar -xf overcloud-full-7.3.0-56.tar
> [akaris@wks-akaris isos]$ guestfish -a  overcloud-full.qcow2 
> 
> Welcome to guestfish, the guest filesystem shell for
> editing virtual machine filesystems and disk images.
> 
> Type: 'help' for help on commands
>       'man' to read the manual
>       'quit' to quit the shell
> 
> ><fs> run
> ><fs> mount /dev/sda /
> ><fs> ls /usr/share/openstack-puppet/modules/
> apache
> aviator
> cassandra
> ceilometer
> ceph
> certmonger
> cinder
> common
> concat
> contrail
> corosync
> firewall
> galera
> glance
> gluster
> gnocchi
> haproxy
> heat
> horizon
> inifile
> ipa
> ironic
> kafka
> keepalived
> keystone
> kmod
> manila
> memcached
> module-collectd
> module-data
> mongodb
> mysql
> n1k_vsm
> nagios
> neutron
> nova
> nssdb
> ntp
> openstack_extras
> openstacklib
> pacemaker
> puppet
> qpid
> rabbitmq
> redis
> remote
> rsync
> sahara
> snmp
> ssh
> staging
> stdlib
> swift
> sysctl
> tempest
> timezone
> tripleo
> trove
> tuskar
> vcsrepo
> vlan
> vswitch
> xinetd
> zookeeper

Have you got the clean deployment using overcloud 7.3 ?
Comment 9 Anil Dhingra 2016-03-06 06:59:28 EST
working if latest version of python-rdomanager-oscplugin-0.0.10-28.el7ost is in use with overcloud 7.3 images
Comment 10 Jaromir Coufal 2016-09-29 09:37:35 EDT
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform

Note You need to log in before you can comment on or make changes to this bug.